﻿jQuery.fn.center = function (absolute) {
    return this.each(function () {
        var self = jQuery(this);
        self.css({
            position: absolute ? 'absolute' : 'fixed',
            left: '50%',
            top: '45%',
            zIndex: '999'
        }).css({
            marginLeft: '-' + (self.outerWidth() / 2) + 'px',
            marginTop: '-' + (self.outerHeight() / 2) + 'px'
        });

        if (absolute) {
            self.css({
                marginTop: parseInt(self.css('marginTop'), 10) + jQuery(window).scrollTop(),
                marginLeft: parseInt(self.css('marginLeft'), 10) + jQuery(window).scrollLeft()
            });
        }
    });
};